{-# LANGUAGE NoImplicitPrelude #-}
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE QuasiQuotes #-}
{-# LANGUAGE TemplateHaskell #-}
{-# LANGUAGE TypeFamilies #-}
module Handler.Home where

import Import
import Widget.Hcard (hcard)

getHomeR :: Handler Html
getHomeR = do
    user <- runDB . getBy404 $ UniqueUser "dani"
    let name = userFullName . entityVal $ user
    maybeTitle <- asks $ appTitle . appSettings
    defaultLayout $ do
        case maybeTitle of
          Just title -> setTitle $ toHtml title
          Nothing -> return ()
        toWidgetHead
            [hamlet|
                <meta name="author" content=#{name}>
                <link rel="author" href=@{HomeR}>
            |]
        $(widgetFile "home")
